diff --git a/tests/workflow/test_carddata.py b/tests/workflow/test_carddata.py
index c414a0dd7..269f4d9f3 100644
--- a/tests/workflow/test_carddata.py
+++ b/tests/workflow/test_carddata.py
@@ -104,11 +104,10 @@ def test_create_carddata(two_pubs):
 
     assert carddef.data_class().count() == 1
 
-    if two_pubs.is_using_postgresql():
-        errors = two_pubs.loggederror_class.select()
-        assert len(errors) == 2
-        assert any('form_var_undefined' in (error.exception_message or '') for error in errors)
-        assert any('invalid date value' in (error.exception_message or '') for error in errors)
+    errors = two_pubs.loggederror_class.select()
+    assert len(errors) == 2
+    assert any('form_var_undefined' in (error.exception_message or '') for error in errors)
+    assert any('invalid date value' in (error.exception_message or '') for error in errors)
 
     formdata = formdef.data_class()()
     today = datetime.date.today()
@@ -384,10 +383,9 @@ def test_create_carddata_with_map_field(two_pubs):
     assert carddef.data_class().count() == 1
     assert not carddef.data_class().select()[0].data.get('1')
 
-    if two_pubs.is_using_postgresql():
-        errors = two_pubs.loggederror_class.select()
-        assert len(errors) == 1
-        assert any('invalid coordinates' in (error.exception_message or '') for error in errors)
+    errors = two_pubs.loggederror_class.select()
+    assert len(errors) == 1
+    assert any('invalid coordinates' in (error.exception_message or '') for error in errors)
 
     # value from formdata
     create.mappings[0].expression = '{{ form_var_map }}'
@@ -742,10 +740,6 @@ def test_edit_carddata_with_linked_object(pub):
 
 
 def test_edit_carddata_manual_targeting(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     CardDef.wipe()
 
@@ -1142,10 +1136,6 @@ def test_assign_carddata_with_linked_object(pub):
 
 
 def test_assign_carddata_manual_targeting(two_pubs):
-    if not two_pubs.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
     CardDef.wipe()
     two_pubs.user_class.wipe()
diff --git a/tests/workflow/test_formdata.py b/tests/workflow/test_formdata.py
index 96725f93c..89098d926 100644
--- a/tests/workflow/test_formdata.py
+++ b/tests/workflow/test_formdata.py
@@ -82,8 +82,7 @@ def test_create_formdata(two_pubs):
     formdata.just_created()
 
     assert target_formdef.data_class().count() == 0
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 0
+    assert two_pubs.loggederror_class.count() == 0
     # check unconfigure action do nothing
     formdata.perform_workflow()
     assert target_formdef.data_class().count() == 0
@@ -94,28 +93,26 @@ def test_create_formdata(two_pubs):
     formdata.perform_workflow()
     assert target_formdef.data_class().count() == 1
 
-    if two_pubs.is_using_postgresql():
-        errors = two_pubs.loggederror_class.select()
-        assert len(errors) == 2
-        assert 'form_var_toto_string' in errors[0].exception_message
-        assert errors[1].summary == 'Missing field: unknown (1), unknown (2)'
-        assert errors[0].formdata_id == str(target_formdef.data_class().select()[0].id)
-        assert errors[1].formdata_id == str(target_formdef.data_class().select()[0].id)
-
-    if two_pubs.is_using_postgresql():
-        # add field labels cache
-        two_pubs.loggederror_class.wipe()
-        target_formdef.data_class().wipe()
-        create.formdef_slug = target_formdef.url_name
-        create.cached_field_labels = {'0': 'field0', '1': 'field1', '2': 'field2'}
-        wf.store()
-        del source_formdef._workflow
-        formdata.perform_workflow()
-        assert target_formdef.data_class().count() == 1
-
-        errors = two_pubs.loggederror_class.select()
-        assert len(errors) == 2
-        assert errors[1].summary == 'Missing field: field1, field2'
+    errors = two_pubs.loggederror_class.select()
+    assert len(errors) == 2
+    assert 'form_var_toto_string' in errors[0].exception_message
+    assert errors[1].summary == 'Missing field: unknown (1), unknown (2)'
+    assert errors[0].formdata_id == str(target_formdef.data_class().select()[0].id)
+    assert errors[1].formdata_id == str(target_formdef.data_class().select()[0].id)
+
+    # add field labels cache
+    two_pubs.loggederror_class.wipe()
+    target_formdef.data_class().wipe()
+    create.formdef_slug = target_formdef.url_name
+    create.cached_field_labels = {'0': 'field0', '1': 'field1', '2': 'field2'}
+    wf.store()
+    del source_formdef._workflow
+    formdata.perform_workflow()
+    assert target_formdef.data_class().count() == 1
+
+    errors = two_pubs.loggederror_class.select()
+    assert len(errors) == 2
+    assert errors[1].summary == 'Missing field: field1, field2'
 
     # no tracking code has been created
     created_formdata = target_formdef.data_class().select()[0]
@@ -274,8 +271,7 @@ def test_create_formdata_attach_to_history(two_pubs):
 
 
 def test_create_formdata_card_item_mapping(two_pubs):
-    if two_pubs.is_using_postgresql():
-        two_pubs.loggederror_class.wipe()
+    two_pubs.loggederror_class.wipe()
     FormDef.wipe()
     CardDef.wipe()
 
@@ -367,8 +363,7 @@ def test_create_formdata_card_item_mapping(two_pubs):
     target_formdata = target_formdef.data_class().select()[0]
     assert target_formdata.data.get('0') is None
     assert target_formdata.data.get('0_display') is None
-    if two_pubs.is_using_postgresql():
-        assert two_pubs.loggederror_class.count() == 1
-        assert two_pubs.loggederror_class.count() == 1
-        error = two_pubs.loggederror_class.select()[0]
-        assert error.exception_message == "unknown card value ('XXX')"
+    assert two_pubs.loggederror_class.count() == 1
+    assert two_pubs.loggederror_class.count() == 1
+    error = two_pubs.loggederror_class.select()[0]
+    assert error.exception_message == "unknown card value ('XXX')"
diff --git a/wcs/admin/data_sources.py b/wcs/admin/data_sources.py
index c8c5e07c9..0500a6668 100644
--- a/wcs/admin/data_sources.py
+++ b/wcs/admin/data_sources.py
@@ -539,7 +539,7 @@ class NamedDataSourcesDirectory(Directory):
                 'categories': categories,
                 'user_data_sources': user_data_sources,
                 'has_chrono': has_chrono(get_publisher()),
-                'has_users': get_publisher().is_using_postgresql(),
+                'has_users': True,
                 'agenda_data_sources': agenda_data_sources,
                 'generated_data_sources': generated_data_sources,
             },
diff --git a/wcs/admin/forms.py b/wcs/admin/forms.py
index 9ad492841..b29d4cc98 100644
--- a/wcs/admin/forms.py
+++ b/wcs/admin/forms.py
@@ -16,8 +16,6 @@
 
 import difflib
 import io
-import tarfile
-import time
 import xml.etree.ElementTree as ET
 from collections import defaultdict
 
@@ -604,7 +602,6 @@ class FormDefPage(Directory):
         'duplicate',
         'export',
         'anonymise',
-        'archive',
         'enable',
         'workflow',
         'role',
@@ -932,8 +929,6 @@ class FormDefPage(Directory):
             r += htmltext('<li><a rel="popup" href="history/save">%s</a></li>') % _('Save snapshot')
             r += htmltext('<li><a href="history/">%s</a></li>') % _('History')
         r += htmltext('<li><a href="inspect">%s</a></li>') % _('Inspector')
-        if not get_publisher().is_using_postgresql() and self.formdef_class == FormDef:
-            r += htmltext('<li><a href="archive">%s</a></li>') % _('Archive')
         r += htmltext('</ul>')
 
         r += htmltext('<ul>')
@@ -1276,8 +1271,6 @@ class FormDefPage(Directory):
         return redirect('../%s/' % self.formdefui.formdef.id)
 
     def get_check_deletion_message(self):
-        if not get_publisher().is_using_postgresql():
-            return None
         from wcs import sql
 
         criterias = [
@@ -1570,105 +1563,6 @@ class FormDefPage(Directory):
             content_type='application/x-wcs-form',
         )
 
-    def archive(self):
-        if get_publisher().is_using_postgresql():
-            raise TraversalError()
-
-        if get_request().form.get('download'):
-            return self.archive_download()
-
-        form = Form(enctype='multipart/form-data')
-
-        form.add(DateWidget, 'date', title=_('Archive forms handled before'))
-        form.add(CheckboxWidget, 'not-done', title=_('Include forms that have not been handled'), value=False)
-        form.add(CheckboxWidget, 'keep', title=_('Do not remove forms'), value=False)
-        form.add_submit('submit', _('Submit'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_widget('cancel').parse():
-            return redirect('.')
-
-        if not form.is_submitted() or form.has_errors():
-            get_response().breadcrumb.append(('archive', _('Archive')))
-            self.html_top(title=_('Archive Forms'))
-            r = TemplateIO(html=True)
-            r += htmltext('<h2>%s</h2>') % _('Archive Forms')
-            r += form.render()
-            return r.getvalue()
-        else:
-            return self.archive_submit(form)
-
-    def archive_submit(self, form):
-        class Archiver:
-            def __init__(self, formdef):
-                self.formdef = formdef
-
-            def archive(self, job=None):
-                all_forms = self.formdef.data_class().select()
-
-                if form.get_widget('not-done').parse() is False:
-                    not_endpoint_status = self.formdef.workflow.get_not_endpoint_status()
-                    not_endpoint_status_ids = ['wf-%s' % x.id for x in not_endpoint_status]
-                    all_forms = [x for x in all_forms if x.status not in not_endpoint_status_ids]
-
-                if form.get_widget('date').parse():
-                    date = form.get_widget('date').parse()
-                    date = time.strptime(date, misc.date_format())
-                    all_forms = [x for x in all_forms if x.last_update_time < date]
-
-                self.fd = io.BytesIO()
-                with tarfile.open('wcs.tar.gz', 'w:gz', fileobj=self.fd) as t:
-                    t.add(self.formdef.get_object_filename(), 'formdef')
-                    for formdata in all_forms:
-                        t.add(
-                            formdata.get_object_filename(),
-                            '%s/%s' % (self.formdef.url_name, str(formdata.id)),
-                        )
-
-                if form.get_widget('keep').parse() is False:
-                    for f in all_forms:
-                        f.remove_self()
-
-                if job:
-                    job.file_content = self.fd.getvalue()
-                    job.store()
-
-        count = self.formdef.data_class().count()
-        archiver = Archiver(self.formdef)
-        if count > 100:  # Arbitrary threshold
-            job = get_response().add_after_job(
-                _('Archiving forms'),
-                archiver.archive,
-                done_action_url=self.formdef.get_admin_url() + 'archive?job=%(job_id)s',
-                done_action_label=_('Download Archive'),
-            )
-            job.store()
-            return redirect(job.get_processing_url())
-        else:
-            archiver.archive()
-
-            response = get_response()
-            response.set_content_type('application/x-wcs-archive')
-            response.set_header(
-                'content-disposition', 'attachment; filename=%s-archive.wcs' % self.formdef.url_name
-            )
-            return archiver.fd.getvalue()
-
-    def archive_download(self):
-        try:
-            job = AfterJob.get(get_request().form.get('download'))
-        except KeyError:
-            return redirect('.')
-
-        if not job.status == 'completed':
-            raise TraversalError()
-        response = get_response()
-        response.set_content_type('application/x-wcs-archive')
-        response.set_header(
-            'content-disposition', 'attachment; filename=%s-archive.wcs' % self.formdef.url_name
-        )
-        return job.file_content
-
     def enable(self):
         self.formdef.disabled = False
         self.formdef.store(comment=_('Enable'))
diff --git a/wcs/admin/logged_errors.py b/wcs/admin/logged_errors.py
index 0fa27bb30..da965ff02 100644
--- a/wcs/admin/logged_errors.py
+++ b/wcs/admin/logged_errors.py
@@ -221,8 +221,7 @@ class LoggedErrorsDirectory(Directory):
             workflow_id=self.workflow_id,
         )
         links = ''
-        if get_publisher().is_using_postgresql():
-            links = pagination_links(offset, limit, total_count, load_js=False)
+        links = pagination_links(offset, limit, total_count, load_js=False)
         return template.QommonTemplateResponse(
             templates=['wcs/backoffice/logged-errors.html'],
             context={
diff --git a/wcs/admin/settings.py b/wcs/admin/settings.py
index 3df197bef..b01611701 100644
--- a/wcs/admin/settings.py
+++ b/wcs/admin/settings.py
@@ -300,10 +300,9 @@ class UserFieldsFormDef(FormDef):
         self.publisher.cfg['users'] = users_cfg
         self.publisher.write_cfg()
         self.publisher._cached_user_fields_formdef = None
-        if self.publisher.is_using_postgresql():
-            from wcs import sql
+        from wcs import sql
 
-            sql.do_user_table()
+        sql.do_user_table()
 
 
 class UsersDirectory(Directory):
diff --git a/wcs/api.py b/wcs/api.py
index aae80fd07..778a80035 100644
--- a/wcs/api.py
+++ b/wcs/api.py
@@ -422,9 +422,6 @@ class ApiFormsDirectory(Directory):
                 raise AccessForbiddenError('user not allowed to ignore roles')
 
     def _q_index(self):
-        if not get_publisher().is_using_postgresql():
-            raise TraversalError()
-
         self.check_access()
         get_request()._user = get_user_from_api_query_string() or get_request().user
 
@@ -491,8 +488,6 @@ class ApiFormsDirectory(Directory):
         return json.dumps({'data': output}, cls=misc.JSONEncoder)
 
     def geojson(self):
-        if not get_publisher().is_using_postgresql():
-            raise TraversalError()
         self.check_access()
         get_request()._user = get_user_from_api_query_string() or get_request().user
         return ManagementDirectory().geojson()
@@ -743,37 +738,33 @@ class ApiFormdefsDirectory(Directory):
             if include_count:
                 # we include the count of submitted forms so it's possible to sort
                 # them by "popularity"
-                if get_publisher().is_using_postgresql():
-                    from wcs import sql
-
-                    # 4 * number of submitted forms of last 2 days
-                    # + 2 * number of submitted forms of last 8 days
-                    # + 1 * number of submitted forms of last 30 days
-                    # exclude drafts
-                    criterias = [Equal('formdef_id', formdef.id), StrictNotEqual('status', 'draft')]
-                    d_now = datetime.datetime.now()
-                    count = 4 * sql.get_period_total(
-                        period_start=d_now - datetime.timedelta(days=2),
-                        include_start=True,
-                        criterias=criterias,
-                    )
-                    count += 2 * sql.get_period_total(
-                        period_start=d_now - datetime.timedelta(days=8),
-                        include_start=True,
-                        period_end=d_now - datetime.timedelta(days=2),
-                        include_end=False,
-                        criterias=criterias,
-                    )
-                    count += sql.get_period_total(
-                        period_start=d_now - datetime.timedelta(days=30),
-                        include_start=True,
-                        period_end=d_now - datetime.timedelta(days=8),
-                        include_end=False,
-                        criterias=criterias,
-                    )
-                else:
-                    # naive count
-                    count = formdef.data_class().count()
+                from wcs import sql
+
+                # 4 * number of submitted forms of last 2 days
+                # + 2 * number of submitted forms of last 8 days
+                # + 1 * number of submitted forms of last 30 days
+                # exclude drafts
+                criterias = [Equal('formdef_id', formdef.id), StrictNotEqual('status', 'draft')]
+                d_now = datetime.datetime.now()
+                count = 4 * sql.get_period_total(
+                    period_start=d_now - datetime.timedelta(days=2),
+                    include_start=True,
+                    criterias=criterias,
+                )
+                count += 2 * sql.get_period_total(
+                    period_start=d_now - datetime.timedelta(days=8),
+                    include_start=True,
+                    period_end=d_now - datetime.timedelta(days=2),
+                    include_end=False,
+                    criterias=criterias,
+                )
+                count += sql.get_period_total(
+                    period_start=d_now - datetime.timedelta(days=30),
+                    include_start=True,
+                    period_end=d_now - datetime.timedelta(days=8),
+                    include_end=False,
+                    criterias=criterias,
+                )
                 formdict['count'] = count
 
             formdict['functions'] = {}
@@ -923,104 +914,79 @@ class ApiUserDirectory(Directory):
         if category_slugs:
             categories = Category.select([Contains('url_name', category_slugs)])
 
-        if get_publisher().is_using_postgresql():
-            from wcs import sql
+        from wcs import sql
 
-            order_by = 'receipt_time'
-            if get_request().form.get('sort') == 'desc':
-                order_by = '-receipt_time'
-            if get_query_flag('include-accessible'):
-                user_roles = user.get_roles()
-                criterias = [
+        order_by = 'receipt_time'
+        if get_request().form.get('sort') == 'desc':
+            order_by = '-receipt_time'
+        if get_query_flag('include-accessible'):
+            user_roles = user.get_roles()
+            criterias = [
+                Or(
+                    [
+                        Intersects('concerned_roles_array', user_roles),
+                        Equal('user_id', str(user.id)),
+                    ]
+                )
+            ]
+        else:
+            criterias = [Equal('user_id', str(user.id))]
+        if category_slugs:
+            criterias.append(Contains('category_id', [c.id for c in categories]))
+
+        status_criteria = get_request().form.get('status') or 'all'
+        if status_criteria == 'open':
+            criterias.append(Equal('is_at_endpoint', False))
+        elif status_criteria == 'done':
+            criterias.append(Equal('is_at_endpoint', True))
+        elif status_criteria == 'all':
+            pass
+        else:
+            return HttpResponseBadRequest('invalid status parameter value')
+
+        if include_drafts:
+            disabled_formdef_ids = [formdef.id for formdef in FormDef.select() if formdef.is_disabled()]
+            if disabled_formdef_ids:
+                criterias.append(
                     Or(
                         [
-                            Intersects('concerned_roles_array', user_roles),
-                            Equal('user_id', str(user.id)),
+                            StrictNotEqual('status', 'draft'),
+                            NotContains('formdef_id', disabled_formdef_ids),
                         ]
                     )
-                ]
-            else:
-                criterias = [Equal('user_id', str(user.id))]
-            if category_slugs:
-                criterias.append(Contains('category_id', [c.id for c in categories]))
-
-            status_criteria = get_request().form.get('status') or 'all'
-            if status_criteria == 'open':
-                criterias.append(Equal('is_at_endpoint', False))
-            elif status_criteria == 'done':
-                criterias.append(Equal('is_at_endpoint', True))
-            elif status_criteria == 'all':
-                pass
-            else:
-                return HttpResponseBadRequest('invalid status parameter value')
-
-            if include_drafts:
-                disabled_formdef_ids = [formdef.id for formdef in FormDef.select() if formdef.is_disabled()]
-                if disabled_formdef_ids:
-                    criterias.append(
-                        Or(
-                            [
-                                StrictNotEqual('status', 'draft'),
-                                NotContains('formdef_id', disabled_formdef_ids),
-                            ]
-                        )
-                    )
-            else:
-                criterias.append(StrictNotEqual('status', 'draft'))
+                )
+        else:
+            criterias.append(StrictNotEqual('status', 'draft'))
 
-            if not include_non_drafts:
-                criterias.append(Equal('status', 'draft'))
+        if not include_non_drafts:
+            criterias.append(Equal('status', 'draft'))
 
-            user_forms = sql.AnyFormData.select(
-                criterias,
-                limit=misc.get_int_or_400(get_request().form.get('limit')),
-                offset=misc.get_int_or_400(get_request().form.get('offset')),
-                order_by=order_by,
-            )
-            if get_request().form.get('full') == 'on':
-                # load full objects
-                formdefs = {x.formdef_id: x.formdef for x in user_forms}
-                formdef_user_forms = {}
-                for formdef_id, formdef in formdefs.items():
-                    formdef_user_forms.update(
-                        {
-                            (formdef_id, x.id): x
-                            for x in formdef.data_class().select(
-                                [Contains('id', [x.id for x in user_forms if x.formdef_id == formdef_id])]
-                            )
-                        }
-                    )
-                # and put them back in order
-                sorted_user_forms_tuples = [(x.formdef_id, x.id) for x in user_forms]
-                user_forms = [formdef_user_forms.get(x) for x in sorted_user_forms_tuples]
-            else:
-                # prefetch evolutions to avoid individual loads when computing
-                # formdata.get_visible_status().
-                sql.AnyFormData.load_all_evolutions(user_forms)
+        user_forms = sql.AnyFormData.select(
+            criterias,
+            limit=misc.get_int_or_400(get_request().form.get('limit')),
+            offset=misc.get_int_or_400(get_request().form.get('offset')),
+            order_by=order_by,
+        )
+        if get_request().form.get('full') == 'on':
+            # load full objects
+            formdefs = {x.formdef_id: x.formdef for x in user_forms}
+            formdef_user_forms = {}
+            for formdef_id, formdef in formdefs.items():
+                formdef_user_forms.update(
+                    {
+                        (formdef_id, x.id): x
+                        for x in formdef.data_class().select(
+                            [Contains('id', [x.id for x in user_forms if x.formdef_id == formdef_id])]
+                        )
+                    }
+                )
+            # and put them back in order
+            sorted_user_forms_tuples = [(x.formdef_id, x.id) for x in user_forms]
+            user_forms = [formdef_user_forms.get(x) for x in sorted_user_forms_tuples]
         else:
-            if get_query_flag('include-accessible'):
-                return HttpResponseBadRequest('not supported')
-            formdefs = FormDef.select()
-            user_forms = []
-            for formdef in formdefs:
-                user_forms.extend(formdef.data_class().get_with_indexed_value('user_id', user.id))
-            if category_slugs:
-                user_forms = [f for f in user_forms if f.formdef.category_id in [c.id for c in categories]]
-
-            status_criteria = get_request().form.get('status') or 'all'
-            if status_criteria == 'open':
-                user_forms = [x for x in user_forms if not x.is_at_endpoint_status()]
-            elif status_criteria == 'done':
-                user_forms = [x for x in user_forms if x.is_at_endpoint_status()]
-            elif status_criteria == 'all':
-                pass
-            else:
-                return HttpResponseBadRequest('invalid status parameter value')
-
-            typed_none = time.gmtime(-(10**10))
-            user_forms.sort(key=lambda x: x.receipt_time or typed_none)
-            if get_request().form.get('sort') == 'desc':
-                user_forms.reverse()
+            # prefetch evolutions to avoid individual loads when computing
+            # formdata.get_visible_status().
+            sql.AnyFormData.load_all_evolutions(user_forms)
         return user_forms
 
     def drafts(self):
@@ -1056,16 +1022,10 @@ class ApiUserDirectory(Directory):
                     raise AccessForbiddenError('user not allowed to query data from others')
                 # mark forms that are readable by querying user
                 user_roles = set(query_user.get_roles())
-                if get_publisher().is_using_postgresql():
-                    # use concerned_roles_array attribute that was saved in the
-                    # table.
-                    for form in forms:
-                        form.readable = bool(set(form.concerned_roles_array).intersection(user_roles))
-                else:
-                    # recomputed concerned roles.
-                    for form in forms:
-                        concerned_roles_array = [str(x) for x in form.concerned_roles if x]
-                        form.readable = bool(set(concerned_roles_array).intersection(user_roles))
+                # use concerned_roles_array attribute that was saved in the
+                # table.
+                for form in forms:
+                    form.readable = bool(set(form.concerned_roles_array).intersection(user_roles))
                 # ignore confidential forms
                 forms = [x for x in forms if x.readable or not x.formdef.skip_from_360_view]
 
@@ -1132,8 +1092,7 @@ class ApiUsersDirectory(Directory):
             for field in formdef.fields:
                 if field.type in ('string', 'text', 'email'):
                     criteria_fields.append(st.ILike('f%s' % field.id, query))
-            if get_publisher().is_using_postgresql():
-                criteria_fields.append(st.FtsMatch(query))
+            criteria_fields.append(st.FtsMatch(query))
             criterias.append(st.Or(criteria_fields))
 
         def as_dict(user):
diff --git a/wcs/backoffice/cards.py b/wcs/backoffice/cards.py
index 7f0619065..fdb9eed03 100644
--- a/wcs/backoffice/cards.py
+++ b/wcs/backoffice/cards.py
@@ -213,9 +213,6 @@ class CardDefPage(FormDefPage):
         if self.formdef.is_used():
             return _('Deletion is not possible as it is still used as datasource.')
 
-        if not get_publisher().is_using_postgresql():
-            return None
-
         criterias = [
             StrictNotEqual('status', 'draft'),
             Null('anonymised'),
